Public Class StButton
	Implements IField
	Implements IChanged

	Dim m_Field As Fields
	Public Property Field() As Fields Implements IField.Field
		Get
			Return (m_Field)
		End Get
		Set(ByVal value As Fields)
			m_Field = value
		End Set
	End Property

	Public Event Changed(ByVal sender As Object, ByVal e As System.EventArgs) Implements IChanged.Changed

	Private Sub StButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Click
		RaiseEvent Changed(sender, e)
	End Sub
End Class
